###################################################################################################
##########                              EXAMPLE: DEBUGGING                               ##########
###################################################################################################
def distance(x1, y1, x2, y2):
    """
    calculate the distance between points defined by (x1, x2) and (x2, y2)
    
    Arguments:
        x1 (int/float): x1 in point (x1, x2)
        y1 (int/float): y1 in point (y1, y2)
        x2 (int/float): x2 in point (x1, x2)
        y1 (int/float): y2 in point (y1, y2)
        
    Returns:
        float: the distance
    """
    
    deltaX = x2 - X1 # should be 3
    deltaY = y2 - x1 # should be 4
    distance_squared = deltaX ^ 2 + deltaY ^ 2 # should be 16 + 9 = 25
    distance = distance_squared ** 0.5 # should be 5.0
    print(dist)
    

# print("Should be 5.0:", distance(0, 0, 3, 4))

###################################################################################################
##########                            EXERCISE: LOOPS + LISTS                            ##########
###################################################################################################
# Step 1: Run the code. Is the output what you would expect?
# Step 2: Try to figure out what is going on in the debugger. Is lst updated?
# Step 3: Rewrite the function to do what you would expect it to do
###################################################################################################
# If you have extra time, start working on problems from one of the CS 150 practice exams!
###################################################################################################

def add_one(lst):
    """
    Adds one to every item in a list and returns the updated list
    
    Arguments:
        lst (List[int/float]): a list of numbers
        
    Returns:
        List[int/float]: the list with 1 added to each number
    """
    for item in lst:
        item += 1
    return lst

original = [5, 6, 7]
print("Should be [6, 7, 8]:", add_one(original))
